> For the complete documentation index, see [llms.txt](https://docs.skeddly.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.skeddly.com/data-types/actionparameters-object/amazondisableunusediamaccesskeysparameters-object.md).

# AmazonDisableUnusedIamAccessKeysParameters Object

## Description

Parameters for the Amazon Disable Unused IAM Access Keys action.

## Properties

### credentialIds

Registered credentials to use with the action. One and only one credential must be specified.

Type: Array of `string`

Required: Yes

### isTest

Indicates whether test mode is enabled.

Type: array of `boolean`

Required: No

Default: `false`

### reportFormat

Format of the final report. Required when `targetType` is `email`.

Type: `string`

Valid Values:

* `email`
* `email-html-attachment`
* `email-csv-attachment`

Required: Conditional

### targetEmails

The target email addresses to send the final report.

Type: array of `string`

Required: No

### targetType

Indicates whether a report should be generated with the execution results.

Type: `string`

Valid Values:

* `none`
* `email`

Required: No

Default: `none`

### unusedDays

Number of days the access keys should be unused before being disabled.

Type: `integer`

Required: Yes

### userIdentificationMethod

Method in which users will be selected.

Type: `string`

Valid Values:

* `all-users`
* `by-user-name`

Required: Yes

### userNameComparison

Comparison to use when matching users by their user name. Required when `userIdentificationMethod` is `by-user-name`.

Type: [IamUserNameComparison](/data-types/iamusernamecomparison-object.md) object

Required: Conditional

## Sample JSON

```javascript
{
    "credentialIds": [
        "cred-00000001"
    ],
    
    "targetType": "email",
    "targetEmails": [
        "foo@example.com"
    ],
    "ReportFormat": "email"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.skeddly.com/data-types/actionparameters-object/amazondisableunusediamaccesskeysparameters-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
